Subject: Re: Case sensitive filenames
From: [email-masked] (Fergus Henderson)

24 Jan 1998 22:17:05 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Curtis Galloway <[email-masked]>
Cc: Earnie Boyd <[email-masked]>, [email-masked],
        [email-masked]

On 22-Jan-1998, Curtis Galloway <[email-masked]> wrote:
> This has gone around and around.  My opinion is that gnuwin32 is broken if it
> imposes semantics on the filesystem that the filesystem doesn't support.  I'm
> a UNIX programmer, and I think it's a pain.
> 
> It's also pretty easy to fix.  I posted a patch back in May of last year to do
> this; apparently no one like it enough to incorporate it into the official
> sources.  I have included my original message below.

For what it's worth, I vote in favour of inclusion of this patch.

If it does cause compatibility problems with existing GNU software,
then please include it, but just leave the default value of
`glob_case_fold' as 0 (false) for all platforms.
`completion_case_fold' should remain as 1 (true), though.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".